Subject: bug#3888: Some variables get the wrong, platform-specific, documentation

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Jul 2009 14:32:49 -0400

>> > I think, as a temporary solution, we should make the docstrings of all
>> > the affected functions and variables the same.  If necessary, they can
>> > say somehthing like, "On Windows, this does X.  On Nexstep, this does
>> > Y", and so on.
>> 
>> That sounds OK as a quick temporary solution.  The longer-term solution
>> is to say that such variables defined in various places are bugs.
>> I.e. the definition should be moved to a common file.

> Sorry, I don't follow.  Each instance of the definitions of these
> identically-named symbols is a different platform-specific
> implementation of the same API.  Sometimes, one implementation is in
> C, the other in Lisp.  How can they be moved to the same file?

A defvar can trivially be moved from Lisp to C.  I don't see any
obstacle here.  As for functions, it's even easier since you can rename
one of the two from `foo' to `foo-internal' or somesuch and move some
code from one to the other.  We've already done such things for lote and
lots of functions.  There's no technical problem here.

        Stefan